org.apache.maven.scm.provider.cvslib.command.tag

## Class CvsTagConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.tag.CvsTagConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

Direct Known Subclasses:
  CvsBranchConsumer

    public class CvsTagConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: CvsTagConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`CvsTagConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getTaggedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsTagConsumer

    public CvsTagConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getTaggedFiles

    public List getTaggedFiles()